<?php
// Unclassified NewsBoard
// Copyright 2003-5 by Yves Goergen
// Homepage: http://newsboard.unclassified.de
// See docs/license.txt for distribution/license details
//
// Design CSS definition file
//
// Design name: Modern
// CSS file:    common
// Author:      Yves Goergen
// Last edit:   20080305

require(dirname(dirname(__FILE__)) . '/cssconfig.php');
?>

@import url("announcement.css.php");
@import url("controlpanel.css.php");
@import url("forum.css.php");
@import url("post.css.php");
@import url("register.css.php");
@import url("search.css.php");
@import url("stat.css.php");
@import url("thread.css.php");
@import url("userlist.css.php");
@import url("userprofile.css.php");


/* -------------------- GENERAL -------------------- */

html
{
	background: #e1e6f3;
	background-image: url(../img/body_background_fsi.png);
	background-position: center;
	background-repeat: repeat;
}

html, body {
        margin: 0;
        padding: 0;
        min-height: 100%;
}

#topofthepops {
        position:relative;
        margin: 0 8.5% 0 7.5%;
        background-image: url(../img/back_left.png);
        background-position: left;
        background-repeat: repeat-y;
}

#floppy {
        background-image: url(../img/back_right.png);
        background-position: right;
        background-repeat: repeat-y;
}

#content {
        margin-left: 10px;
        margin-right: 10px;
        overflow:hidden;
        background-color: white;
}

div.maincontainer, div.foot_logincontrol {
        width: auto;
        padding: 0 30px 12px 30px;
}

html,
body,
p,
div.p,
td,
li,
input,
textarea,
select
{
	font-size: <?php echo $UNB['Font']['size'] ?>;
	font-family: <?php echo $UNB['Font']['family'] ?>;
}

p,
div.p
{
	margin-top: 12px;
	margin-bottom: 12px;
}

div.error,
div.info
{
	border: solid 1px #E0B070;
}
div.info
{
	/*border-color: #CAE8BA;*/
	border-color: #80E070;
}
div.error div,
div.info div
{
	font-weight: bold;
	color: #A02000;
	background: #F8E0B0;
	padding: 2px 4px 2px 4px;
	line-height: normal;
}
div.info div
{
	color: #107000;
	background-color: #DAF8CA;
}

a
{
	color: #001a59;
	text-decoration: none;
}
a:hover,
a:focus
{
/* 	color: #FF9000; */
	color: #0035b2;
}
a img
{
	border: 0px;
}
.abbc a img
{
	border: 1px solid #0051F6;
}

small
{
	font-size: <?php echo $UNB['Font']['smallsize'] ?>;
	color: #707070;
}

.discreet {
	display: inline;
        font-size: 80%;
        color: #707070;
}
.discreet a {
	text-decoration: underline;
        font: inherit;
        color: #707070;
}

h1
{
	margin: 0;
	padding: 3px 0 1px 6px;
	font-size: 1em;
	font-weight: normal;
	color: #404040;
<?php if ($ie && !$_ie7) { ?>
	background: #EEEEEE;
<?php } else { ?>
	background: url(<?php echo $ImgPath ?>caption_back.png) center left no-repeat;
<?php } ?>
}

tr.hover:hover td
{
<?php if ($ie && !$_ie7) { ?>
	background: #EEEEEE;
<?php } else { ?>
	background: url(<?php echo $ImgPath ?>shade_bk5.png);
<?php } ?>
}

.nowrap
{
	white-space: nowrap;
}

.img_trans_back
{
	border: solid 1px #DDDDDD;
	background: url(<?php echo $ImgPath ?>trans_back.png);
}

/* -------------------- PAGE HEAD -------------------- */

.head_logo
{
	background: url(<?php echo $ImgPath ?>header_background_fsi.png);
	background-position: center;
	background-repeat: repeat;
	height:94px;
	text-align: left;
}

.head_logincontrol
{
	font-size: /*80%*/ 85%;
	color: #888;
	/*border: 1px dotted #88a;*/
	padding: 1px;
	/*position: absolute;*/
	/*right: 12px;*/
	text-align: right;
	/*margin-top: -10px;*/
	margin-bottom: 6px;
	/*width: auto;*/
}

.head_logincontrol form, .head_logincontrol a {
	font-size: inherit;
	color: inherit;
}

.head_logincontrol form * {
	color: inherit;
	border-color: #888;
}

.head_navigation_container
{
	background-image: url(../img/menu_background.png);
	background-repeat: repeat-x;
	text-align:center;
	padding: 2px 0 2px 0;
	color: #fff;
	background-color: #000;
}

ul.head_navigation
{
	border-left: 1px solid #000;
	border-right: solid 1px #666;
	margin: 0;
	padding: 0;
	display: inline;
	line-height: 1.5em;
}
ul.head_navigation li
{
	display: inline;
	border-left: solid 1px #666;
	border-right: solid 1px #000;
}
ul.head_navigation li a
{
	color: #fff;
	background-color: inherit;
	text-decoration: none;
	padding: 0 1em 0 1em;
}
ul.head_navigation li a img
{
}
ul.head_navigation li.active
{
}
ul.head_navigation li.active a
{
}
ul.head_navigation li a:hover
{
	color: #fff;
	background-color: #333;
}
ul.head_navigation li a:active,
ul.head_navigation li a:focus
{
}

/* -------------------- PAGE FOOT -------------------- */

.foot_container
{
	clear: both;
}

.foot_content ul
{
	border-left: 1px solid #000;
	border-right: solid 1px #666;
	margin: 0;
	padding: 0;
}
.foot_content ul li
{
	float: right;
	list-style: none;
	border-left: solid 1px #666;
	border-right: solid 1px #000;
}
.foot_content ul li a
{
	color: #fff;
	background-color: inherit;
	text-decoration: none;
	padding: 0 1em 0 1em;
}
.foot_content ul li a:hover
{
	color: #fff;
	background-color: #333;
}
.foot_content
{
	background-image: url(../img/menu_background.png);
	background-repeat: repeat-x;
	background-position: top;
	background-color: #000;
	text-align: right;
	font-size: <?php echo $UNB['Font']['smallsize'] ?>;
	line-height: 1.3em;
	color: #aaa;
        margin-bottom: 0;
        width: auto;
	height: 4.0ex;
	vertical-align: middle;
        padding: 0.8em 10px 0.5em 10px;
}

.foot_content a
{
	color: #eeeeee;
}

.foot_logincontrol
{
	margin: 12px 0;
	text-align: right;
}

/* -------------------- OVERVIEW PAGE -------------------- */

.pathwrap {
	margin-bottom: 12px;
}

.path
{
	display: inline;
}

.path a
{
	color: #436976;
}
.path .sep
{
	color: #707070;
}
.path .thread
{
	margin-top: 4px;
}
.path .thread .subject
{
        font-family: Georgia, "Times New Roman", serif;
        font-weight: bold;
        font-size: 2.2em;
        color: #001a59;
        background-color: inherit;
	border-bottom: solid 1px #dbdbc5;
	display: block;
	width: 100%;
	margin-top: 0.5em;
}
.path .thread a
{
	color: #001a59;
}
.path .thread a:hover
{
	color: #FF9000;
}
.path .desc
{
	font-size: <?php echo $UNB['Font']['smallsize'] ?>;
	color: #707070;
	margin-left: 2em;
}

.overview_actions_top
{
	text-align: right;
}

.jumpandsearchbox
{
	clear: both;
	margin-top: 12px;
}

.searchbox
{
	float: right;
}
.searchbox input[type="text"]
{
	width: 140px;
}
.jumpforumbox
{
}

/* -------------------- JUMP FORUM SELECT BOX -------------------- */

option.forum
{
	color: #000000;
	background: #FFFFFF;
}
option.category
{
	color: #000000;
	background: #EEEEEE;
}
option span.light  /* used for lighter hierarchy lines in the dropdown tree */
{
	color: silver;
}

/* -------------------- ADVANCED OPTIONS BOX -------------------- */

.advanced_options_container
{
	clear: both;
	border: solid 1px #dbdbc5;
	margin: 1px auto 0px;
}
.advanced_options_content
{
	background: #eee;
	padding: 3px 5px 4px 5px;
}
.advanced_option
{
	margin: 2px 0;
}
.advanced_option.new_group
{
	margin-top: 12px;
}
.advanced_subtitle
{
	font-size: <?php echo $UNB['Font']['smallsize'] ?>;
	color: #707070;
	margin-left: 20px;
}

/* -------------------- SPLIT THREADS -------------------- */

table.thread_split_data td.leftcol
{
	width: 100px;
	padding-right: 10px;
	white-space: nowrap;
}
.thread_split_post .head
{
	border: solid 1px #A0E0A0;
	padding: 1px;
	margin-bottom: 3px;
}
.thread_split_post .head > div
{
<?php if ($ie && !$_ie7) { ?>
	background: #F0F8F0;
<?php } else { ?>
	background: url(<?php echo $ImgPath ?>shade_gn7.png);
<?php } ?>
	padding: 2px 4px;
}
.thread_split_post .checkbox
{
	float: right;
}
.thread_split_post .subject
{
	padding-bottom: 2px;
	border-bottom: solid 1px #D8D8D8;
	margin-bottom: 8px;
}
.thread_split_post .body
{
	margin: 8px 0 15px;
}

/* -------------------- FORMS -------------------- */

form
{
	display: inline;
	margin: 0px;
}

/* when updating textarea/textfield border width or padding, also update div.outerText{area,field}100pc */
input[type="text"],
input[type="password"],
textarea
{
	border: solid 1px #C0C0C0;
<?php if ($ie && !$_ie7) { ?>
	background: #FFFFFF;
<?php } else { ?>
	background: #FFFFFF url(<?php echo $ImgPath ?>textbox-back.png) repeat-x;
<?php } ?>
	color: #000000;
	padding: 1px 0px 1px 2px;

	<?php if ($gecko || $opera) { ?>
	margin-top: 2px;
	<?php } ?>

	<?php if ($ie && !$ie7 || $konq) { ?>
	scrollbar-arrow-color: #666666;
	scrollbar-base-color: #FFFFFF;
	scrollbar-darkshadow-color: #CCCCCC;
	scrollbar-face-color: #E8E8E8;
	scrollbar-highlight-color: #F0F0F0;
	scrollbar-shadow-color: #E0E0E0;
	scrollbar-track-color: #FFFFFF;
	<?php } ?>
}
textarea
{
	padding: 0px 0px 0px 2px;
}
input[type="text"]:hover,
input[type="text"]:focus,
input[type="password"]:hover,
input[type="password"]:focus,
textarea:hover,
textarea:focus
{
	border-color: #5580DD;
}

/* bottom-only borders for text fields */
input[type="text"],
input[type="password"]
{
/*	border-top: 0;
	border-left: 0;
	border-right: 0;
	padding-left: 1px;*/
}

/* textareas that have width:100% need this outer padding which is
   the sum of horizontal (left+right) border widths and paddings */
div.outerTextarea100pc
{
	padding-right: 4px;
}
div.outerTextarea100pc textarea
{
	margin-right: -4px;
<?php if (!$ie || $ie7) { ?>
	width: 100%;
<?php } ?>
}
/* textfields that have width:100% need this outer padding which is
   the sum of horizontal (left+right) border widths and paddings */
div.outerTextfield100pc
{
	padding-right: 4px;
}
div.outerTextfield100pc input[type="text"],
div.outerTextfield100pc input[type="password"]
{
	margin-right: -4px;
	width: 100%;
}

input[type="text"][disabled],
input[type="password"][disabled],
textarea[disabled]
{
	border: solid 1px #C0C0C0;
	color: GrayText;
}

input[type="checkbox"],
input[type="radio"]
{
	<?php if ($opera) { ?>
	margin: 0px 4px 1px 0;
	<?php } else { ?>
	margin: 1px 6px 1px 0;
	<?php } ?>
	padding: 0;
	cursor: pointer;
}
/* the label element doesn't see if there's a disabled input element within */
/*input[type="checkbox"][disabled],
input[type="radio"][disabled]
{
	cursor: default;
}*/
input[type="radio"]
{
	vertical-align: middle;
}
label
{
	cursor: pointer;
}

select,
select[disabled],
select[disabled]:hover
{
	border: 1px solid #C0C0C0 !important;
	background: #FAFAFA !important;
	padding: 0px 0px !important;
	cursor: pointer;
}
select:hover,
select:focus
{
	border: 1px solid #5580DD !important;
}
table
{
	empty-cells: show;
}
option[selected]
{
	font-style: italic;
}
option:hover small
{
	color: white;
}

input[type="button"],
input[type="submit"],
input[type="button"][disabled]:hover,
input[type="submit"][disabled]:hover,
input[type="button"][disabled]:active,
input[type="submit"][disabled]:active,
input[type="button"][disabled]:focus,
input[type="submit"][disabled]:focus
input[type="button"][disabled].defaultbutton:hover,
input[type="submit"][disabled].defaultbutton:hover,
input[type="button"][disabled].defaultbutton:active,
input[type="submit"][disabled].defaultbutton:active,
input[type="button"][disabled].defaultbutton:focus,
input[type="submit"][disabled].defaultbutton:focus
{
	border: solid 1px #C0C0C0;
	background: #E7E7E7 url(<?php echo $ImgPath ?>button_back.png) repeat-x;
<?php if ($opera) { ?>
	padding: 1px 6px;
<?php } else { ?>
	padding: 0px 3px;
<?php } ?>
	cursor: pointer;
}
input[type="button"]:hover,
input[type="submit"]:hover,
input[type="button"]:focus,
input[type="submit"]:focus,
input[type="button"].defaultbutton:hover,
input[type="submit"].defaultbutton:hover,
input[type="button"].defaultbutton:focus,
input[type="submit"].defaultbutton:focus
{
	border: solid 1px #5580DD;
	background: #D7DBF7 url(<?php echo $ImgPath ?>button_back_hover.png) repeat-x;
}
input[type="button"]:active,
input[type="submit"]:active,
input[type="button"].defaultbutton:active,
input[type="submit"].defaultbutton:active,
input[type="button"].selected,
input[type="submit"].selected
{
	border: solid 1px #5580DD;
	background: #D7DBF7 url(<?php echo $ImgPath ?>button_back_pushed.png) repeat-x;
}
input[type="button"][disabled],
input[type="submit"][disabled],
input[type="button"][disabled].defaultbutton,
input[type="submit"][disabled].defaultbutton
{
	border: solid 1px #C0C0C0;
	color: #808080;
}
input[type="button"].defaultbutton,
input[type="submit"].defaultbutton
{
	border: solid 1px #606060;
}
/* Attention, CSS3 ahead! */
input[style*="monospace"]
{
	padding-top: 1px;
}

input[type="file"]
{
	<?php if ($gecko) { ?>
	/*-moz-appearance: textbox !important;
	border: 1px solid ThreeDShadow !important;
	-moz-border-left-colors: #B4B4B4 white !important;
	-moz-border-top-colors: #B4B4B4 white !important;
	-moz-border-right-colors: #B4B4B4 white !important;
	-moz-border-bottom-colors: #B4B4B4 white !important;
	background: #FAFAFA !important;*/
	<?php } ?>

	<?php if ($opera) { ?>
	border: 0;
	<?php } ?>
}

/*
input[type="checkbox"]
{
	border: 1px solid #B4B4B4 !important;

	<?php if ($gecko) { ?>
	-moz-appearance: none !important;
	-moz-border-left-colors: transparent #B4B4B4 !important;
	-moz-border-top-colors: transparent #B4B4B4 !important;
	-moz-border-right-colors: transparent #B4B4B4 !important;
	-moz-border-bottom-colors: transparent #B4B4B4 !important;
	width: 16px;
	height: 16px;
	<?php } ?>
}
input[type="checkbox"]:hover,
input[type="checkbox"]:focus
{
	border: 1px solid #5580DD !important;

	<?php if ($gecko) { ?>
	-moz-border-left-colors: transparent #5580DD !important;
	-moz-border-top-colors: transparent #5580DD !important;
	-moz-border-right-colors: transparent #5580DD !important;
	-moz-border-bottom-colors: transparent #5580DD !important;
	<?php } ?>
}
input[type="radio"]
{
	border: 1px solid #B4B4B4 !important;

	<?php if ($gecko) { ?>
	-moz-appearance: none !important;
	-moz-border-left-colors: transparent #B4B4B4 !important;
	-moz-border-top-colors: transparent #B4B4B4 !important;
	-moz-border-right-colors: transparent #B4B4B4 !important;
	-moz-border-bottom-colors: transparent #B4B4B4 !important;
	width: 16px;
	height: 16px;
	<?php } ?>
}
*/

input.transparent
{
	border: 0px;
	background: transparent;
	color: #202020;
	margin-bottom: 1px;
}
input.transparent:hover,
input.transparent:focus
{
	border: 0px;
}

<?php
// Include user CSS definitions
@include('../css.user.php');
@include('../../css.user.php');
?>
